package it.unibo.stradivarius.dialer;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.RadioButton;
import android.widget.RadioGroup;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;

public class Selector extends AppCompatActivity {


    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        setContentView(R.layout.selector);

        RadioButton rbt = findViewById(R.id.btn1);
        rbt.setSelected(true);

        Button btn = findViewById(R.id.select);
        btn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                RadioGroup rgp = findViewById(R.id.radiogroup);
                RadioButton rbt = findViewById(rgp.getCheckedRadioButtonId());
                String ret = rbt.getText().toString();

                Intent i = getIntent();
                setResult(0, i);
                i.putExtra("prefix", ret);
                finish();
            }
        });

    }


}
